# Import all the models, so that Base has them before being
# imported by Alembic
from brewman.db.base_class import Base  # noqa: F401
from brewman.models import Account  # noqa: F401
from brewman.models import (  # noqa: F401
    AccountBase,
    AccountType,
    Attendance,
    AttendanceType,
    Batch,
    Client,
    CostCentre,
    Employee,
    EmployeeBenefit,
    Fingerprint,
    Inventory,
    Journal,
    LoginHistory,
    Permission,
    Product,
    ProductGroup,
    Recipe,
    RecipeItem,
    Role,
    User,
    Voucher,
    VoucherType,
    role_permission,
    user_role,
)
