import { UserGroup } from './user-group';

export class User {
  id: string;
  name: string;
  password: string;
  lockedOut: boolean;
  roles?: UserGroup[];
  perms: string[];
  isAuthenticated: boolean;
  access_token?: string;
  exp?: number;
  ver: string;

  public constructor(init?: Partial<User>) {
    Object.assign(this, init);
  }
}
