import { Account } from './account';
import { CostCentre } from './cost-centre';
import { DbFile } from './db-file';
import { EmployeeBenefit } from './employee-benefit';
import { Incentive } from './incentive';
import { Inventory } from './inventory';
import { Journal } from './journal';
import { User } from './user';

export class Voucher {
  id: string;
  date: string;
  type: string;
  posted: boolean;
  narration: string;
  incentive?: number;
  vendor?: Account;
  source?: CostCentre;
  destination?: CostCentre;
  journals: Journal[];
  inventories: Inventory[];
  employeeBenefits: EmployeeBenefit[];
  incentives: Incentive[];
  files: DbFile[];
  creationDate: string;
  lastEditDate: string;
  user: User;
  isStarred: boolean;
  poster: string;
  reconcileDate: string;
}
