import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root',
})
export class ToCsvService {
  // eslint-disable-next-line class-methods-use-this
  toCsv(headers: any, data: any[]): string {
    const header = Object.keys(headers);
    const replacer = (key, value) => (value === null ? '' : value);
    const csv = data.map((row) =>
      header.map((fieldName) => JSON.stringify(row[headers[fieldName]], replacer)).join(','),
    );
    csv.unshift(header.join(','));
    return csv.join('\r\n');
  }
}
