from fastapi import APIRouter, Depends

from ..core.security import get_current_active_user as get_user
from ..models.master import AttendanceType
from ..schemas.auth import UserToken


router = APIRouter()


@router.get("")
async def show_list(user: UserToken = Depends(get_user)):
    list_ = AttendanceType.list()
    attendance_types = []
    for item in list_:
        attendance_types.append({"id": item.id, "name": item.name, "value": item.value})
    return attendance_types
