import { Account } from './account';
import { CostCentre } from './cost-centre';

export class Journal {
  id: string;
  debit: number;
  amount: number;
  account: Account;
  costCentre: CostCentre;

  public constructor(init?: Partial<Journal>) {
    Object.assign(this, init);
  }
}
